html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 1.75rem;
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 1.75rem;
    line-height: 1.75rem;
    border-top: 1px solid rgba(0,0,0,.125);
}

button {
    cursor: pointer !important;
}
.mainForm {
    max-width: 18.75rem;
    margin: 0 auto;
}

    .mainForm .input-group-addon {
        background: #fff;
    }

    .mainForm .input-group-addon:not(:last-child) {
        border-right: 0
    }

    .mainForm .form-control {
        border-top-right-radius: .25rem !important;
        border-bottom-right-radius: .25rem !important;
        border-left: 0 !important
    }

        .mainForm .form-control:focus {
            border-left: 0 !important;
            outline: 0
        }

        .mainForm .form-control:disabled, .mainForm .form-control[readonly] {
            background-color: #fff;
            opacity: 1
        }
    .mainForm .input-group-addon.is-invalid {
        border-color: #dc3545;
        color: #dc3545;
    }

.mainForm .input-group-addon.is-valid {
    border-color: #28a745;
    color: #28a745;
}

    .mainForm .input-group-focus {
        border-color: #80bdff;
    }

    .mainForm .form-control:focus, .mainForm .form-control:active, .mainForm .form-control:hover {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff;
        outline: none !important;
        -webkit-appearance: none !important;
        box-shadow: none;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
    }
.input-group-focus {
    border-color: #80bdff
}

.validation-icon::after {
    font-family: FontAwesome;
    position: absolute;
    top: 7px;
    right: 5px;
    z-index: 1000
}

.is-invalid + .validation-icon::after {
    content: "\f071";
    color: #d9534f
}

.is-valid + .validation-icon::after {
    content: "\f00c";
    color: #5cb85c
}

.loadInfo {
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: #fff;
    display: none;
}

#errorSummary {
    display: none;
}

#header {
    background: #fff !important;
    border-bottom: double #ddd;
}

#select_document {
    background: #666 !important;
}

input[name=baseUrl] {
    display: none !important;
}

.logo__title {
    display: none !important;
}

#api_info a {
    color: #007bff !important;
    text-decoration: none !important;
}

    #api_info a:hover,
    #api_info a:focus,
    #api_info a:active {
        color: #0056b3 !important;
        text-decoration: underline !important;
    }


/*Dynamic Form*/
input[type=checkbox] {
    -ms-transform: scale(1.5); /* IE */
    -moz-transform: scale(1.5); /* FF */
    -webkit-transform: scale(1.5); /* Safari and Chrome */
    -o-transform: scale(1.5); /* Opera */
    margin: 10px;
}

.custom-error {
    margin-top: .25rem;
    font-size: .875rem;
    color: #dc3545;
}

.autocomplete-suggestion {
    overflow: hidden;
    padding: 2px 5px;
    white-space: nowrap;
}

.autocomplete-selected {
    background: #F0F0F0;
}

.autocomplete-suggestions {
    background-color: #fff;
    border: 1px solid #f0f0f0;
    overflow-y:auto;
}

.dynamicForm .input-group-addon.is-invalid {
    border-color: #dc3545;
    color: #dc3545;
}

.dynamicForm .input-group-addon.is-valid {
    border-color: #71d47d;
    color: #71d47d;
}

.dynamicForm .is-invalid + .validation-icon::after {
    content: "\f06a";
    color: #d9534f
}

.dynamicForm .is-valid + .validation-icon::after {
    content: "\f058";
    color: #71d47d
}